| Version: 3.0.4

Public Member Functions | List of all members
wxWebViewHistoryItem Class Reference
Class List by Category » WebView

`#include </usr/src/ports/wxWidgets3.0/wxWidgets3.0-3.0.4-1.x86_64/src/wxWidgets-3.0.4/interface/wx/webview.h>`

## Detailed Description

A simple class that contains the URL and title of an element of the history of a wxWebView.

Since
  2.9.3

  ##

Library: wxWebView

<>< =''>:</>&;&;< =''>\ </></>

See also
  wxWebView

## Public Member Functions
| wxWebViewHistoryItem (const wxString &url, const wxString &title)
| Construtor. More...
wxString | GetUrl ()
wxString | GetTitle ()

## Constructor & Destructor Documentation

## ◆ wxWebViewHistoryItem()

wxWebViewHistoryItem::wxWebViewHistoryItem | ( | const wxString & | url,
|  | const wxString & | title
| ) |  |

Construtor.

## Member Function Documentation

## ◆ GetTitle()

wxString wxWebViewHistoryItem::GetTitle | ( |  | ) |

Returns
  The title of the page.

## ◆ GetUrl()

wxString wxWebViewHistoryItem::GetUrl | ( |  | ) |

Returns
  The url of the page.